<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmBatchChangeState Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmBatchChangeState Interface

The following tables list the members exposed by IEdmBatchChangeState.

# Public Properties

| Name | Description
--- | --- | ---
| Comment | Comment about this state change or transition revocation to add to the history listing.

Top

# Public Methods

| Name | Description
--- | --- | ---
| AddFile | Adds a file to this batch of files whose states you want to change or whose transitions you want to revoke.
| ChangeState | Obsolete. Superseded by IEdmBatchChangeState4::ChangeState2.
| CreateTree | Computes the file reference tree and checks that the specified state transition can be performed for the files added to this batch using IEdmBatchChangeState::AddFile.
| GetFileList | Gets the list of files affected by the state change or transition revocation.
| SetAux | Reserved for future use.
| ShowDlg | Shows the change state or revoke transition dialog box.

Top

# See Also

####

IEdmBatchChangeState Interface
EPDM.Interop.epdm Namespace